## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.10.0
%bcond_without check
%bcond_without vendor

# https://github.com/opentofu/opentofu
%global goipath         github.com/opentofu/opentofu
Version:                1.6.2

%gometa -L -f

%global common_description %{expand:
OpenTofu lets you declaratively manage your cloud infrastructure.}

%global golicenses      LICENSE
%global godocs          docs BUILDING.md CODE_OF_CONDUCT.md DEBUGGING.md\\\
                        MIGRATION_GUIDE.md SECURITY.md README.md CHANGELOG.md\\\
                        CONTRIBUTING.md TSC_SUMMARY.md WEEKLY_UPDATES.md

Name:           opentofu
Release:        %autorelease
Summary:        OpenTofu lets you declaratively manage your cloud infrastructure

License:        0BSD AND Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND MIT AND MPL-2.0
URL:            %{gourl}
Source:         %{gosource}
Source:         %{name}-%{version}-vendor.tar.gz

%description %{common_description}

%gopkg

%prep
%autosetup -n %{topdir} -p1 %{?with_vendor:-b1}
%goprep -e %{?with_vendor:-k}

%if %{without vendor}
%generate_buildrequires
%go_generate_buildrequires
%endif

%build
export LDFLAGS="-X github.com/opentofu/opentofu/version.dev=no"
%gobuild -o %{gobuilddir}/bin/tofu %{goipath}/cmd/tofu

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
for test in "TestResourceProvider_ApplyCustomWorkingDirectory" "TestGet_cancel" \
            "TestInit_cancelModules" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck
%endif

%files
%license LICENSE %{?with_vendor:vendor/modules.txt}
%doc docs BUILDING.md CODE_OF_CONDUCT.md DEBUGGING.md MIGRATION_GUIDE.md
%doc SECURITY.md README.md CHANGELOG.md CONTRIBUTING.md TSC_SUMMARY.md
%doc WEEKLY_UPDATES.md
%{_bindir}/tofu

%changelog
## START: Generated by rpmautospec
* Fri Feb 23 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.6.2-1
- Update to 1.6.2 - Closes rhbz#2265533

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 1.6.1-3
- Rebuild for golang 1.22.0

* Thu Feb 08 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.6.1-2
- Don't include devel files

* Mon Feb 05 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.6.1-1
- Initial package - Closes rhbz#2258867
## END: Generated by rpmautospec
